WordPress.org

Ready to get started?Download WordPress

Forums

Posts 2 Posts
Error on Plugins Page (4 posts)

  1. jonahcoyote
    Member
    Posted 1 year ago #

    Hi there,

    After updating to 1.4.1 I'm seeing this error at the top of the Plugins page:

    Warning: get_object_vars() expects parameter 1 to be object, null given in /Users/jonahwest/Sites/jenny-green/sites/botham/acala/www/wp-content/plugins/posts-to-posts/core/side.php on line 83

    It seems like everything is still working right but though I should report this anyway.

    Thanks,
    Jonah

    http://wordpress.org/extend/plugins/posts-to-posts/

  2. scribu
    Member
    Plugin Author

    Posted 1 year ago #

    I don't see it.

    It's very peculiar that it shows up only on the plugins page for you.

  3. Brajesh Singh
    Member
    Posted 1 year ago #

    This problem arises when at least one of the connected post type does not exists.

    @jonahcoyote,
    Please check if all the connected post types exists. If they do, then you may want to hook the function in which you are registering connection to a late action like wp_loaded.

  4. Herm71
    Member
    Posted 1 year ago #

    I'm using 1.4.2 and I am receiving the same error. My post types exist, 'pages' to 'products', I'm hooked into 'wp_loaded'. I see the connection in my dashboard under tools>connection types but I don't get any new metaboxes in either my 'Products' or 'Pages' new-post editor and I'm getting the above-referenced error in my log. Any tips?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.